openstack pike with ceph luminous

asked 2017-11-28 06:42:54 -0600

pacman gravatar image

Hi

i tried to upgrade my testcluster to ceph luminous but on rerunning my ansible scripts I run into an error when installing the centos-release-openstack-pike repo. It appears that it has a dependency to the ceph juwel repo which conflicts with the ceph-luminous repo:

[root@controller02 ~]# yum install centos-release-openstack-pike
Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
 * base: mirror.inode.at
 * extras: mirror.inode.at
 * updates: mirror.inode.at
Resolving Dependencies
--> Running transaction check
---> Package centos-release-openstack-pike.x86_64 0:1-1.el7 will be installed
--> Processing Dependency: centos-release-ceph-jewel for package: centos-release-openstack-pike-1-1.el7.x86_64
--> Running transaction check
---> Package centos-release-ceph-jewel.noarch 0:1.0-1.el7.centos will be installed
--> Processing Conflict: centos-release-ceph-luminous-1.0-1.el7.centos.noarch conflicts centos-release-ceph < 12.2
--> Finished Dependency Resolution
Error: centos-release-ceph-luminous conflicts with centos-release-ceph-jewel-1.0-1.el7.centos.noarch
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

is there any way to resolve this without screwing the whole package tree?

any help is greatly appreciated...

edit retag flag offensive close merge delete